function battle_sai010(npcID)   --烈焰翔鹏

	
    n=flag.GetBattleValue(12059)

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end	
	

    if n~=4 then
		a=battle.GetRndNumber(1,10)
		if a>=1 and a<=4 then
			n=n+1
			flag.SetBattleValue(12059,n)
			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
		
		elseif a>=5 and a<=7 then
			n=n+1
			flag.SetBattleValue(12059,n)
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1447,1)   --单体法术
		  
	  
		else
			battle.MagicToPlayer(0,1446,1)   --全体法术
			flag.SetBattleValue(12059,0)
		end

	else
		battle.MagicToPlayer(0,1446,1)   --全体法术
		flag.SetBattleValue(12059,0)

	end
end